package agent_base

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/agent_base"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /agent_base agent_base GetAgentBaseById
//
// Get agent base by ID | 通过ID获取AgentBase
//
// Get agent base by ID | 通过ID获取AgentBase
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: DataDetailReq
//
// Responses:
//  200: DataDetailResp

func GetAgentBaseByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.DataDetailReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := agent_base.NewGetAgentBaseByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetAgentBaseById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
